ConfigDlg Class Reference

ConfigDlg class is the UI Dialog class for the BCA utilities tab page. More...

`#include <ConfigDlg.h>`

Inheritance diagram for ConfigDlg:
[legend]
Collaboration diagram for ConfigDlg:
[legend]

## Public Member Functions

virtual BOOL | OnInitDialog ()
afx_msg void | OnShowWindow (BOOL bShow, UINT nStatus)
afx_msg void | OnSelchangeComboFile ()
afx_msg void | OnKillfocusComboFile ()
afx_msg void | OnBnClickedButtonBrowse ()
afx_msg void | OnChangeEditBcaData ()
afx_msg void | OnBnClickedButtonConfigBca ()
afx_msg void | OnBnClickedButtonSaveBca ()
void | RefreshImageFileList ()
| Refresh the image file list.
BOOL | ReadBootloaderConfigureArea ()
| Read BCA data from image file to memory region(m_bcaData).
void | UpdateDataOfBootloaderConfigureArea (BOOL direction)
| Update BCA data between memory region and UI. More...
void | WriteBootloaderConfigureArea ()
| Write BCA data to image file.
void | ResetBootloaderConfigureArea ()
| Reset BCA data to all 0xFFs.

## Public Attributes

CComboBox | m_ctrlImageFile
| A control variable for the Combox, IDC_COMBO_FILE2.
CString | m_bcaBinaries
| A string variable for the Edit Control, IDC_EDIT_BCA_BINARY.
char * | m_bcaData
| A pointer, pointing to a memory region that contains BCA binaries.

## Protected Member Functions

virtual void | DoDataExchange (CDataExchange *pDX)
| Generated message map functions.
| DECLARE_MESSAGE_MAP () virtual void OnOK()
virtual void | OnCancel ()

## Detailed Description

ConfigDlg class is the UI Dialog class for the BCA utilities tab page.

## Member Function Documentation

void ConfigDlg::UpdateDataOfBootloaderConfigureArea | ( | BOOL | direction | ) |

Update BCA data between memory region and UI.

Parameters

  direction | The update direction between UI and memory. TRUE: from UI to memory FALSE: from memory to UI

The documentation for this class was generated from the following files:

- ConfigDlg.h
- ConfigDlg.cpp